/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.emd;

import com.ibm.j2ca.extension.emd.PropertyNameHelper;
import com.ibm.j2ca.extension.emd.discovery.WBIMetadataDiscoveryImpl;
import com.ibm.j2ca.extension.emd.discovery.properties.WBISingleValuedPropertyImpl;
import com.ibm.j2ca.extension.logging.LogUtils;

import commonj.connector.metadata.*;
import commonj.connector.metadata.discovery.properties.PropertyEvent;

/**
 * This defines the property for the maximum number of records that can be obtained in a query operation
 */
public class MaxRecordSingleProperty extends WBISingleValuedPropertyImpl {
	
	private LogUtils logUtils;

	public MaxRecordSingleProperty(String propertyName, Class propertyType, PropertyNameHelper helper) throws MetadataException {
		super(propertyName, propertyType,helper);
		this.logUtils = helper.getLogUtils();
	}
	public void propertyChange(PropertyEvent event) {
		super.propertyChange(event);
		if(logUtils != null){
    		this.logUtils.traceMethodEntrance(
    				"MaxRecordsSingleProperty", "propertyChange()");
		}
		if (event.getNewValue() != null) {
			if (event.getNewValue().equals("Inbound")) 
				this.setEnabled(false);
		else
			this.setEnabled(true);
		}
	}

}
